Bug 242238 - Mixer settings go wrong after upgrade from fc6
Mixer settings go wrong after upgrade from fc6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 11:38 EDT by Julian Sikorski
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 16:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-06-02 11:38:11 EDT
Description of problem:
After an upgrade from fc6 my mixer settings went mad: there were way too many
switches, and sound was much too low

Version-Release number of selected component (if applicable):
2.6.21-1.3194.fc7

How reproducible:
always

Steps to Reproduce:
1. Install fc6
2. Upgrade to fc7
  
Actual results:
Mixer settings are all wrong and sound is too low

Expected results:
Everything works fine as before

Additional info:
I have a Realtek ALC861 chip on an Toshiba Satellite A100-847 laptop. I managed
to work around the problem by putting:
options snd-hda-intel model=auto
into /etc/modprobe.d/alsa-base. Mixer settings now work as they used to in fc6.
Moreover, I installed an f7 kernel under fc6 a few times while debugging
suspend, and results were similar.
Comment 1 Julian Sikorski 2007-06-14 15:27:45 EDT
Still present in 2.6.21-1.3228.fc7. I deleted the workaround and mixer went
crazy again.
Comment 2 Christopher Brown 2007-09-13 15:44:17 EDT
Hello Julian,

Thanks for filing this bug which I'm reviewing this bug as part of the kernel
bug triage project, an attempt to isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem has gone away then please close this bug or I'll do so in a few
days if there is no additional information lodged.

Cheers
Chris
Comment 3 Julian Sikorski 2007-09-13 16:53:12 EDT
Thanks for reminding me to retest this one. Situation is similar to my suspend
problems: kernel-2.6.22.5-76.fc7.x86_64 is busted and needs the workaround,
while the rawhide kernel-2.6.23-0.174.rc6.fc8.x86_64 seems to work well without
it. I'll close the bug for now and reopen it should the f7 2.6.23 fail.

Note You need to log in before you can comment on or make changes to this bug.